package com.dyteflutter;


import android.app.Activity;
import android.content.Context;
import android.view.View;
import androidx.annotation.Nullable;
import androidx.annotation.NonNull;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;
import java.util.Map;

import javax.annotation.Nonnull;

class DyteMeetingViewFactory extends PlatformViewFactory {
    @NonNull private final BinaryMessenger messenger;
    @NonNull private final View containerView;
    private Activity activity;

    DyteMeetingViewFactory(@NonNull BinaryMessenger messenger, @NonNull View containerView) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.containerView = containerView;
    }

    @Nonnull
    public void setActivity(Activity a) {
        this.activity = a;
    }

    @NonNull
    @Override
    public PlatformView create(@NonNull Context context, int id, @Nullable Object args) {
        final Map<String, Object> creationParams = (Map<String, Object>) args;
        return (PlatformView) new DyteMeetingView(this.activity, id, creationParams);
    }
}
