import 'package:flutter/services.dart';

class DyteSelfParticipant {
    static const MethodChannel _channel = const MethodChannel('dyte_client');
    late String id;
    late String name;
    late String picture;
    late String clientSpecificId;
    late bool audioEnabled;
    late bool videoEnabled;
    late bool isPinned;

    DyteSelfParticipant(Map<dynamic,dynamic> part)  {
      this.id = part['id'];
      this.name = part['name'];
      this.picture = part['picture'];
      this.audioEnabled = part['audioEnabled'];
      this.videoEnabled = part['videoEnabled'];
      this.isPinned = part['isPinned'];
    }

    void enableAudio() {
      _channel.invokeMethod('selfEnableAudio');
    }
    void disableAudio() {
      _channel.invokeMethod('selfDisableAudio');
    }
    void disableVideo() {
      _channel.invokeMethod('selfDisableVideo');
    }
    void enableVideo() {
      _channel.invokeMethod('selfEnableVideo');
    }
    void enableScreensharing() {
      _channel.invokeMethod('selfEnableScreenSharing');
    }
    void disableScreensharing() {
      _channel.invokeMethod('selfDisableScreenSharing');
    }
    void pin() {
      _channel.invokeMethod('selfPin');
    }
    void unpin() {
      _channel.invokeMethod('selfUnpin');
    }
    void leaveRoom() {
       _channel.invokeMethod('leaveRoom');
    }
}